/* compile with gcc -Wall -o canon-capture -lgphoto2 canon-capture.c
 * This code released into the public domain 21 July 2008
 * 
 * This program does the equivalent of:
 * gphoto2 --shell

 */

#include <unistd.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <gphoto2/gphoto2.h>

#include "samples.h"




int
main(int argc, char **argv) {
	Camera	*canon;
	int	i, retval;
	GPContext *canoncontext = sample_create_context();


	gp_camera_new(&canon);

	
	//printf("Taking  previews and saving them to snapshot.jpg ...\n");

		CameraFile *file;
		char output_file[32];

	
		retval = gp_file_new(&file);

		retval = gp_camera_capture_preview(canon, file, canoncontext);

		sprintf(output_file, "snapshot.jpg");
		retval = gp_file_save(file, output_file);


	gp_camera_exit(canon, canoncontext);
	return 0;
}
